%define name mooseekd
%define version 0.05
%define release %mkrel 2

Summary: Mooseekd is a daemon to access the Soulseek file sharing network
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://files.beep-media-player.org/releases/mooseekd/%{name}-%{version}.tar.bz2
License: GPL
Group: Networking/File transfer
Url: http://bmpx.beep-media-player.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires: glib2-devel >= 2.8.0
Buildrequires: libxml++-devel >= 2.14.0
Buildrequires: fam-devel
# gw for moosetup
Requires: python

%description
Moodseekd is a client for accessing the Soulseek file sharing
network. It is a daemon and you need a front-end like moodriver to access it.

This package is in PLF as Mandriva doesn't allow file sharing software.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTRUCTIONS ChangeLog* doc/*.html
%_bindir/*
%_datadir/%name

%changelog
* Fri Sep 29 2006 Götz Waschk <goetz@zarb.org> 0.05-2plf2007.0
- fix buildrequires
- depend on python

* Fri Sep 29 2006 Götz Waschk <goetz@zarb.org> 0.05-1plf2007.0
- initial package
